All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
fastMath.hpp File Reference

Go to the source code of this file.

## Namespaces

| op

## Functions

template<typename T >
char | op::charRound (const T a)
template<typename T >
signed char | op::sCharRound (const T a)
template<typename T >
int | op::intRound (const T a)
template<typename T >
long | op::longRound (const T a)
template<typename T >
long long | op::longLongRound (const T a)
template<typename T >
unsigned char | op::uCharRound (const T a)
template<typename T >
unsigned int | op::uIntRound (const T a)
template<typename T >
unsigned long | op::ulongRound (const T a)
template<typename T >
unsigned long long | op::uLongLongRound (const T a)
template<typename T >
T | op::fastMax (const T a, const T b)
template<typename T >
T | op::fastMin (const T a, const T b)
template<class T >
T | op::fastTruncate (T value, T min=0, T max=1)